/* micronuke.m,
 *
 * Not actually a nuke.  Just a helper unit to clear away some bullets
 * (but not units) around the player when he gets hit.
 */

#include "micronuke.h"


@implementation MicroNuke
- init
{
    [super init];

    health = 8;
    w = 40;
    h = 40;
    flags |= FLAG_INVINCIBLE;

    return self;
}

- (void) draw:(BITMAP *)_
{
    /* No pic (yet?). */
    (void)_;
}

- (int) update
{
    health--;
    if (health <= 0)
	return THING_DEAD;
    else
	return THING_NORMAL;
}

- (int) collisionLists { return COLLIDES_WITH_PROJECTILES; }
@end
